Qt 5.7 | Qt 3D | C++ Classes | QNoDraw

Qt 5.7.1 Reference Documentation

# QNoDraw Class

(Qt3DRender::QNoDraw)

When a QNoDraw node is present in a FrameGraph branch, this prevents the renderer from rendering any primitive. More...

Header: | #include <QNoDraw>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | NoDraw
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QNoDraw(Qt3DCore::QNode *parent = nullptr)

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

When a QNoDraw node is present in a FrameGraph branch, this prevents the renderer from rendering any primitive.

QNoDraw should be used when the FrameGraph needs to set up some render states or clear some buffers without requiring any mesh to be drawn. It has the same effect as having a Qt3DRender::QRenderPassFilter that matches none of available Qt3DRender::QRenderPass instances of the scene without the overhead cost of actually performing the filtering.

## Member Function Documentation

### QNoDraw::QNoDraw(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QNoDraw.